# Fullscreen

Core/Fullscreen.js 13
Browser-independent functions for working with the standard fullscreen API.

##### See:

- W3C Fullscreen Living Specification

### Members

#### static readonly Cesium.Fullscreen.changeEventName : String
Core/Fullscreen.js 49

The name of the event on the document that is fired when fullscreen is entered or exited. This event name is intended for use with addEventListener. In your event handler, to determine if the browser is in fullscreen mode or not, use `Fullscreen#fullscreen`.

#### static readonly Cesium.Fullscreen.element : Object
Core/Fullscreen.js 30

The element that is currently fullscreen, if any. To simply check if the browser is in fullscreen mode or not, use `Fullscreen#fullscreen`.

#### static readonly Cesium.Fullscreen.enabled : Boolean
Core/Fullscreen.js 84

Determine whether the browser will allow an element to be made fullscreen, or not. For example, by default, iframes cannot go fullscreen unless the containing page adds an "allowfullscreen" attribute (or prefixed equivalent).

#### static readonly Cesium.Fullscreen.errorEventName : String
Core/Fullscreen.js 66

The name of the event that is fired when a fullscreen error occurs. This event name is intended for use with addEventListener.

#### static readonly Cesium.Fullscreen.fullscreen : Boolean
Core/Fullscreen.js 100

Determines if the browser is currently in fullscreen mode.

### Methods

#### static Cesium.Fullscreen.exitFullscreen()
Core/Fullscreen.js 239

Asynchronously exits fullscreen mode. If the browser is not currently in fullscreen, or if fullscreen mode is not supported by the browser, does nothing.

#### static Cesium.Fullscreen.requestFullscreen(element, vrDevice)
Core/Fullscreen.js 227

Asynchronously requests the browser to enter fullscreen mode on the given element. If fullscreen mode is not supported by the browser, does nothing.

Name | Type | Description
--- | --- | ---
`element` | Object | The HTML element which will be placed into fullscreen mode.
`vrDevice` | Object | optional The HMDVRDevice device.

##### Example:

    // Put the entire page into fullscreen.
    Cesium.Fullscreen.requestFullscreen(document.body)

    // Place only the Cesium canvas into fullscreen.
    Cesium.Fullscreen.requestFullscreen(scene.canvas)

#### static Cesium.Fullscreen.supportsFullscreen() → Boolean
Core/Fullscreen.js 117

Detects whether the browser supports the standard fullscreen API.

##### Returns:

`true` if the browser supports the standard fullscreen API, `false` otherwise.